use ExtUtils::MakeMaker;

#  $Id: Makefile.PL,v 1.5 2000/07/30 16:27:12 ftobin Exp $

use 5.005;

use strict;
use English;
use Term::ReadLine;  # this allows us to test for Term::ReadLine::Gnu
                     # for some reason I don't know yet.

my $modules_dir = 'modules';

my $prereq_modules = { 'AppConfig'           => 1.52,
		       'Term::ReadKey'       => 2.14,
		       'Term::ReadLine::Gnu' => 1.01,
		       'GnuPG::Interface'    => 0.10,
		       'Class::MethodMaker'  => 0.96,
		       'LWP'                 => 5.42,
		       'Digest::SHA1'        => 1.02,
		     };

print
  "If you get a warning below about needing prerequisite modules,\n",
  "please install them from the directory '$modules_dir'.\n";


WriteMakefile
  ( AUTHOR        => 'Frank J. Tobin',
    ABSTRACT_FROM => 'anonvelope',
    NAME          => 'anonvelope',
    VERSION_FROM  => 'anonvelope',
    
    EXE_FILES     => [ 'anonvelope' ],
    
    dist => { COMPRESS   => 'gzip', 
	      SUFFIX     => 'gz',
	    },
    
    PREREQ_PM => $prereq_modules,
    
  );

